summaryrefslogtreecommitdiff
path: root/.gitlab/ci/test-docker.sh
diff options
context:
space:
mode:
Diffstat (limited to '.gitlab/ci/test-docker.sh')
-rwxr-xr-x.gitlab/ci/test-docker.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/.gitlab/ci/test-docker.sh b/.gitlab/ci/test-docker.sh
new file mode 100755
index 000000000..53cac9dcb
--- /dev/null
+++ b/.gitlab/ci/test-docker.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+set -e
+
+srcdir=$(pwd)
+
+mkdir -p _ccache
+export CCACHE_BASEDIR="$(pwd)"
+export CCACHE_DIR="${CCACHE_BASEDIR}/_ccache"
+
+ccache --zero-stats
+ccache --show-stats
+export CCACHE_DISABLE=true
+meson \
+ _build $srcdir
+unset CCACHE_DISABLE
+
+cd _build
+
+ninja
+ccache --show-stats